Bug 197964 - Fecdora Core 5 wont accept incoming X11 displays even when the firewall is turned off
Fecdora Core 5 wont accept incoming X11 displays even when the firewall is tu...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-07 14:41 EDT by John Brearley
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-17 16:34:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Brearley 2006-07-07 14:41:09 EDT
Description of problem:
I can easily send X11 displays from Fedora Core 5 to Red Hat 9, Solaris 10 or
Windows XP. I cant get Fedora Core 5 to accept an incoming X11 display under any
circumstance. I have totally turned off the firewall, enabled xhost for all
hosts, but still no luck.

Version-Release number of selected component (if applicable):
2.6.15-1.2054_FC5

How reproducible:
On demand.

Steps to Reproduce:
0. log in as root
1. Turn off firewall on both PC
2. Do "xhost +"
3. Type: setenv DISPLAY 192.168.0.101:0.0
4. Type: gedit &
5. Or type: mozilla &
  
Actual results:
cannot open display: (null)

Expected results:
new window to appear on second PC

Additional info:
If I redirect the display to the same PC, the windows will not open.
Comment 1 Jason Vas Dias 2006-07-13 12:07:16 EDT
Please verify that your X server is not being run with the '-nolisten tcp' 
argument, as it is by default in some /etc/X11/xdm/*rc files:
 # ps -ef | grep nolisten
should print no output, and 
 # netstat -nautp | grep 6000
should show the X server listening on TCP port 6000 . 
If neither of the above conditions holds, this is NOTABUG - you need to enable
the X server to listen on port 6000 by removing the '-nolisten tcp' argument
from your /etc/X11/xdm/*rc script.
Comment 2 John Brearley 2006-07-14 13:30:36 EDT
You are correct that the -nolisten option is in effect. I modified the
/etc/X11/xdm/kdmrc file to comment out the entries for ServerArgsLocal and
ServerArgsRemote. After a reboot that didnt change the situation. I tried
setting them to "-listen tcp" with no luck. I cant find any man pages on the
topic. Could you tell me exactly how you turned on listening on your workstation?
Comment 3 John Brearley 2006-07-22 14:05:08 EDT
I eventually found that gdmsetup is used to configure the X11 server. On the
Security Tab, you need to turn off the "Deny TCP connections" option. Then you
add port 6000 to the firewall, reboot and you can receive incoming X11 displays. 

Note You need to log in before you can comment on or make changes to this bug.